aide chokes on UTF-8 characters in pathnames in config file

Bug #456710 reported by Rainer Schöpf on 2009-10-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
AIDE
Unknown
Unknown
aide (Debian)
Fix Released
Unknown
aide (Ubuntu)
Undecided
Marc Deslauriers
Karmic
Undecided
Marc Deslauriers

Bug Description

Binary package hint: aide

I have a device node with a UTF-8 character in its name, autogenerated by udev:

 /dev/input/by-id/usb-Microsoft_Microsoft_IntelliMouse®_Optical-mouse

The script /etc/aide/aide.conf.d/70_aide_dev writes a list of all paths under /dev to /var/lib/aide/aide.conf.autogenerated, including this path. aide complains when it encounters the line, printing

Errors produced (3 lines):
771:syntax error:Â
771:Error while reading configuration:Â
Configuration error

ProblemType: Bug
Architecture: i386
Date: Tue Oct 20 23:32:03 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx
Package: aide (not installed)
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic-pae
SourcePackage: aide
Uname: Linux 2.6.31-14-generic-pae i686
XsessionErrors: (gnome-panel:6752): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -12 and height 24

Changed in aide (Ubuntu):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

Could you please test the package in this PPA:

https://launchpad.net/~mdeslaur/+archive/testing

If it fixes the problem for you, I'll start the SRU procedures.

Changed in aide (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)

On Tue, 8 Dec 2009 at 17:28 -0000, Marc Deslauriers wrote:

 > Could you please test the package in this PPA:
 >
 > https://launchpad.net/~mdeslaur/+archive/testing
 >
 > If it fixes the problem for you, I'll start the SRU procedures.

Yes, it fixes the problem... for now. I wonder what will happen if other utf-8
characters appear in the udev tree. I believe that the aide code shuld be
corrected to handle all kinds of characters in pathnames in the config file.

Thanks,
 Rainer

Marc Deslauriers (mdeslaur) wrote :

It's not ideal, but aide uses lex for parsing config files, and changing that to support utf-8 is non-trivial.

Changed in aide (Ubuntu Karmic):
status: New → Confirmed
assignee: nobody → Marc Deslauriers (mdeslaur)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aide - 0.13.1-11ubuntu2

---------------
aide (0.13.1-11ubuntu2) lucid; urgency=low

  * debian/aide.conf.d/70_aide_dev: escape another special character in
    filenames. (LP: #456710)
 -- Marc Deslauriers <email address hidden> Mon, 14 Dec 2009 00:25:56 -0500

Changed in aide (Ubuntu):
status: Confirmed → Fix Released
Marc Deslauriers (mdeslaur) wrote :

SRU request for karmic is in bug #456679

Accepted aide into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in aide (Ubuntu Karmic):
status: Confirmed → Fix Committed
tags: added: verification-needed

On Tue, 15 Dec 2009, Martin Pitt wrote:

 > Accepted aide into karmic-proposed, the package will build now and be
 > available in a few hours. Please test and give feedback here.

I tested it, and it works OK.

 Thanks,
   Rainer

Martin Pitt (pitti) on 2009-12-16
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aide - 0.13.1-10ubuntu5.1

---------------
aide (0.13.1-10ubuntu5.1) karmic-proposed; urgency=low

  * debian/cron.daily/aide: protect $LOGHEAD and $MAILHEAD so the cron
    script doesn't abort. (LP: #456679)
  * debian/aide.conf.d/70_aide_dev: escape some more special chars in
    filenames. (LP: #456710)
 -- Marc Deslauriers <email address hidden> Tue, 08 Dec 2009 12:08:43 -0500

Changed in aide (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in aide (Debian):
status: Unknown → New
Changed in aide (Debian):
status: New → Fix Committed
Changed in aide (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.